function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { HeatmapChart, MapChart } from "echarts/charts";
import { GridComponent, VisualMapComponent } from "echarts/components";
import "echarts/extension/bmap/bmap";
import { heatmap } from "@dftvue2-opentiny/vue-renderless/chart-heatmap/index";
import Core from "@dftvue2-opentiny/vue-chart-core";
import { defineComponent, $prefix } from "@dftvue2-opentiny/vue-common";
echarts.use([HeatmapChart, MapChart, GridComponent, VisualMapComponent]);
var Heatmap = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartHeatmap",
  data: function data() {
    this.chartHandler = heatmap;
    return {};
  }
}));
var version = "2.8.0";
Heatmap.install = function(Vue) {
  Vue.component(Heatmap.name, Heatmap);
};
Heatmap.version = version;
export {
  Heatmap as default
};
